<bugID>1198706<Summary>Going back on a freshly opened view-source tab should close the tab and go back to the original page</Summary><Description>Right now when you open a view source tab, you are presented with a new tab where you cannot go back. You can close the tab to go back to the original tab, but I think it would be a nice feature if going "back" would close the tab and go back to the original page.

This might be stretching the back/forwards navigation a bit, but I've intuitively tried clicking on back a number of times to get back to the original page.</Description></bugID>